Bug 763497 - (GLUSTER-1765) peer probe on removed-detached bricks
peer probe on removed-detached bricks
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1-alpha
All Linux
low Severity medium
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-01 08:51 EDT by Lakshmipathi G
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: All
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2010-10-01 08:51:11 EDT
from 4 dht setup removed two bricks (brick[3-4]) using remove-brick and did a peer detach on those two bricks. and kill nfs-server on brick3 and brick4 manually. 

now trying to add these two bricks into cluster again.
did a peer probe - for brick3 said "already a friend" 
for "probe brick4 " said "brick4 already part of another cluster" , probe unsuccessful and failed
Comment 1 Vijay Bellur 2010-10-03 02:57:55 EDT
PATCH: http://patches.gluster.com/patch/5208 in master (mgmt/glusterd: changes for detach everywhere)
Comment 2 Vijay Bellur 2010-10-04 09:59:40 EDT
PATCH: http://patches.gluster.com/patch/5253 in master (mgmt/glusterd: cleanup during detach)

Note You need to log in before you can comment on or make changes to this bug.